# FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
# License: Creative Commons Attribution-Noncommercial-Share Alike 3.0  Germany, see README file that comes with this work
# Author: Klaus Haeming

find_library(LAPACK_LIBRARY NAMES lapack liblapack
PATHS /usr/lib64 /usr/local/lib64 /usr/lib /usr/local/lib )

if(LAPACK_LIBRARY)
	set(LAPACK_FOUND "YES")
	set(LAPACK_LIBRARIES ${LAPACK_LIBRARY})
	if(NOT LAPACK_FIND_QUIETLY)
		message(STATUS "Found LAPACK: " ${LAPACK_LIBRARY})
	endif(NOT LAPACK_FIND_QUIETLY)
else(LAPACK_LIBRARY)
	set(LAPACK_FOUND "NO")
	if(LAPACK_FIND_REQUIRED)
		message(FATAL_ERROR "Could not find LAPACK library")
	endif(LAPACK_FIND_REQUIRED)
endif(LAPACK_LIBRARY)
