

/// FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
/// License: Creative Commons Attribution-Noncommercial-Share Alike 3.0  Germany, see README file that comes with this work
/// Author: Klaus Haeming


#ifndef ADORE_COREABBREVIATIONS_H
#define ADORE_COREABBREVIATIONS_H

#include <stdint.h>

namespace adore
{

	namespace core
	{

		typedef int8_t adr_int8;
		typedef int16_t adr_int16;
		typedef int32_t adr_int32;
		typedef int64_t adr_int64;
		typedef uint8_t adr_uint8;
		typedef uint16_t adr_uint16;
		typedef uint32_t adr_uint32;
		typedef uint64_t adr_uint64;
		typedef float float32_t;
		typedef double float64_t;
		typedef long double float128_t;
		typedef float32_t adr_float32;
		typedef float64_t adr_float64;
		typedef float128_t adr_float128;

	}
}

#endif

