

/// FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
/// License: Creative Commons Attribution-Noncommercial-Share Alike 3.0  Germany, see README file that comes with this work
/// Author: Sergey Cheremukhin


#ifndef OPTIONCHOOSER_H
#define OPTIONCHOOSER_H

#include <QDialog>

#include <vector>

#include "configparser.h"

class QLineEdit;

class OptionChooser : public QDialog
{
	public:
		OptionChooser( const QString& ui, QWidget* parent = 0 );

		QString options()const;
	private:
		std::vector< batch::_opt_ > optList;
		QVector< QVector < QObject* > > values;
};

#endif

