# FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
# License: Creative Commons Attribution-Noncommercial-Share Alike 3.0  Germany, see README file that comes with this work
# Author: Andrei Tschouev

find_path(LIB3DS_INCLUDE_DIR lib3ds/file.h
/usr/local/include/lib3ds /usr/include/lib3ds
/usr/local/include /usr/include )

find_library( LIB3DS_LIBRARY NAMES 3ds lib3ds
PATHS /usr/lib64 /usr/local/lib64 /usr/lib /usr/local/lib )

if(LIB3DS_LIBRARY)
	set(LIB3DS_FOUND "YES")
	set(LIB3DS_LIBRARIES ${LIB3DS_LIBRARY})
	if(NOT LIB3DS_FIND_QUIETLY)
		message(STATUS "Found 3DS: " ${LIB3DS_LIBRARY})
	endif(NOT LIB3DS_FIND_QUIETLY)
else(LIB3DS_LIBRARY)
	set(LIB3DS_FOUND "NO")
	if(LIB3DS_FIND_REQUIRED)
		message(FATAL_ERROR "Could not find 3DS library")
	endif(LIB3DS_FIND_REQUIRED)
endif(LIB3DS_LIBRARY)
