

/// FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
/// License: Creative Commons Attribution-Noncommercial-Share Alike 3.0  Germany, see README file that comes with this work
/// Author: Klaus Haeming


#ifndef ADORE_CORELINEARQCALCULATORDUMMY_H
#define ADORE_CORELINEARQCALCULATORDUMMY_H

#include <adrcore/nview/autocalibratorcommon.h>

namespace adore
{

	namespace core
	{

		/**
			Helper class for the Autocalibrators
			the non-linear autocalibrators require a linear one to initialize Q.
			This one is a dummy replacement in case you don't want to initialize
			 
		*/
		class LinearQCalculatorDummy
		{

			public:
				LinearQCalculatorDummy ( int numCams )
				{
					;
				}

				int calcDualQuadric ( vector<Camera *> &cams, AMatrix &Q1, AMatrix &Q2 )
				{
					return CALIB_Q_UNIQUE;
				}

		};

	}

}

#endif
