

/// FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
/// License: Creative Commons Attribution-Noncommercial-Share Alike 3.0  Germany, see README file that comes with this work
/// Author: Sergey Cheremukhin


#ifndef COMBODELEGATE_H
#define COMBODELEGATE_H

#include <QItemDelegate>

class ComboDelegate : public QItemDelegate
{
		Q_OBJECT
	public:
		enum { text_idx = Qt::DisplayRole, data_idx = Qt::UserRole, idx_idx = Qt::UserRole + 1 };

		ComboDelegate( QObject* parent = 0 );

		QWidget* createEditor( QWidget* parent, const QStyleOptionViewItem& option,
		                       const QModelIndex& index ) const;
		void updateEditorGeometry( QWidget* editor, const QStyleOptionViewItem& option,
		                           const QModelIndex& index ) const;
		void setEditorData( QWidget* editor, const QModelIndex& index ) const;
		void setModelData( QWidget* editor, QAbstractItemModel* model,
		                   const QModelIndex &index ) const;
	private slots:
		void slotCommitData( int idx );
	signals:
		void sigCommitData( int );
};

#endif
