

/// FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
/// License: Creative Commons Attribution-Noncommercial-Share Alike 3.0  Germany, see README file that comes with this work
/// Author: Sergey Cheremukhin


#ifndef IMAGEGL_H
#define IMAGEGL_H

#include <QtCore/QString>

#include "item2d.h"

#include <GL/gl.h>

class QGLWidget;

class ImageGL : public Item2d
{
public:
	ImageGL(const QString& imgpath);

	void initialize(QGLWidget* binder);
	void cleanup();

	void paint() const;

private:
	QString m_img_path;
	GLuint m_texid;
};

#endif // IMAGEGL_H
