

/// FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
/// License: Creative Commons Attribution-Noncommercial-Share Alike 3.0  Germany, see README file that comes with this work
/// Author: Sergey Cheremukhin


#ifndef PUSHBUTTONGL_H
#define PUSHBUTTONGL_H

#include "buttongl.h"
#include "textlabelgl.h"

class PushButtonGL : public ButtonGL
{
public:
	PushButtonGL(const QString& text);

	void initialize(QGLWidget* binder);
	void cleanup();

	void paint() const;

protected:
	void click(double x, double y);
	void beginDragging(double, double) {}
	void drag(double, double) {}

private:
	TextLabelGL m_label;
};

#endif // PUSHBUTTONGL_H
